{% extends "core/page.html" %}
{% load i18n %}

{% block title %}
  {% translate 'Administration' %} - {% translate 'Tenants' %}
{% endblock %}

{% block page_title %}
  {% translate 'Tenants' %}
{% endblock %}

{% block page_menu %}
  <a class="btn btn-sm btn-outline-secondary" href="{% url 'tenant:add' %}"><i class="bi bi-plus-lg"></i></a>
{% endblock %}

{% block content %}
  <div class="container-fluid">
    <div class="col-12">
      <div class="card">
        {# <div class="card-header">#}
        {#   <h3 class="card-title">People</h3>#}
        {# </div>#}
        <div class="list-group list-group-flush overflow-auto" style="max-height: 35rem">
          {% for tenant in tenants %}
            {% with tenant.last_name|first|upper as initial %}
              {% ifchanged initial %}
                <div class="list-group-header sticky-top">{{ initial }}</div>
              {% endifchanged %}

              <div class="list-group-item">
                <div class="row">
                  <div class="col-auto">
                    <a href="{% url 'tenant:detail' tenant.pk %}">
                      <span class="avatar" style="background-image: url({{ tenant.picture }})"></span>
                    </a>
                  </div>
                  <div class="col text-truncate">
                    <a href="{% url 'tenant:detail' tenant.pk %}" class="text-body d-block fs-2">
                      {{ tenant }}</a>
                    <div class="text-muted text-truncate mt-n1">
                      <i class='bi bi-envelope'></i>
                      {{ tenant.address }}
                    </div>
                  </div>
                  <div class="col d-none d-md-block text-truncate">
                    <div class="text-muted text-truncate mt-n1">
                      <i class='bi bi-telephone'></i>
                      {{ tenant.phone }}
                    </div>
                    <div class="text-muted text-truncate mt-n1">
                      <span class='fs-6'>@</span>
                      <a href="mailto:{{ tenant.email }}">{{ tenant.email|default:"" }}</a>
                    </div>
                  </div>
                  <div class="col text-truncate">
                    <ul class='list-unstyled'>
                      {% for homepage in tenant.homepage_set.all %}
                        <li class='list'>{{ homepage.domain }}</li>
                      {% endfor %}
                    </ul>
                  </div>
                </div>
              </div>

            {% endwith %}
          {% endfor %}

        </div>
      </div>
    </div>
  </div>
{% endblock %}





